Bug 683691 - Mis-positioning of top bar menus with multimonitor
Mis-positioning of top bar menus with multimonitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
15
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 688666 (view as bug list)
Depends On:
Blocks: F15GNOMEfail
  Show dependency treegraph
 
Reported: 2011-03-09 21:38 EST by John Morris
Modified: 2012-08-07 13:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Morris 2011-03-09 21:38:05 EST
Description of problem:

Gets confused with multiple displays.  The gadget on the left with the logout, control panel, etc.'s popup window appears on the wrong screen.

Version-Release number of selected component (if applicable):

F15 Alpha Live Disc


How reproducible:

Always.

Steps to Reproduce:
1.  Boot live CD on a laptop with an external display attached.  External monitor to the LEFT of the laptop.
2.  Use the display control to move the external display to the right place.
3.  Click on the power/control panel/etc widget.  Watch where the popup window appears.
4.  Log out and back on.  System remembers the correct display positions but the popup still shows in the wrong place.

I'd guess the software assumes the left display is the primary and posts the popup there.  In fact if I use xrandr to move the primary screen to the left screen everything works as right as mutter's insanity can be called correct.
Comment 1 Owen Taylor 2011-03-26 12:08:35 EDT
*** Bug 688666 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2012-08-07 13:35:51 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.